rickyt
Automotive
- Jun 26, 2002
- 239
Looking to modify code shared in a closed thread to include the Export of Fake Dimension Value.
↓Code below is a portion of it in my attempt to obtain the fake dimension value↓
Sub CATMain()
' ------------------------------------------------------
' *** Checks if the active document is a CATDrawing ***
' ------------------------------------------------------
On Error Resume Next
Set myDrawing = CATIA.ActiveDocument
If (Err.Number <> 0) Then
MsgBox ("A CATDrawing must be active")
Exit Sub
End If
If (InStr(myDrawing.Name, ".CATDrawing")) = 0 Then
MsgBox ("The active window must be a CATDrawing")
Exit Sub
End If
Err.Clear
On Error GoTo 0
' *** Select all Dimensions ***
Set Selection1 = myDrawing.Selection
Selection1.Clear
Selection1.Search "CATDrwSearch.DrwDimension,all"
' *** Get Dimension values
For i = 1 To Selection1.Count
Set Mydimension = Selection1.Item(i).Value
MyDimensionValue = Mydimension.GetValue.Value
MsgBox MyDimensionValue, , "Real Value"
' *** above here works
' *** Get Fake Dimension Value
' *** Below here fails on obtaining value of fake dimension
'MyFakeDimensionValue = Mydimension.GetFakeDimValue
MyFakeDimensionValue = Mydimension.GetFakeDimValue.Value
MsgBox MyFakeDimensionValue, , "Fake Value"
Next
End Sub
===========================================================
V5 Automation file
↓Code below is a portion of it in my attempt to obtain the fake dimension value↓
Sub CATMain()
' ------------------------------------------------------
' *** Checks if the active document is a CATDrawing ***
' ------------------------------------------------------
On Error Resume Next
Set myDrawing = CATIA.ActiveDocument
If (Err.Number <> 0) Then
MsgBox ("A CATDrawing must be active")
Exit Sub
End If
If (InStr(myDrawing.Name, ".CATDrawing")) = 0 Then
MsgBox ("The active window must be a CATDrawing")
Exit Sub
End If
Err.Clear
On Error GoTo 0
' *** Select all Dimensions ***
Set Selection1 = myDrawing.Selection
Selection1.Clear
Selection1.Search "CATDrwSearch.DrwDimension,all"
' *** Get Dimension values
For i = 1 To Selection1.Count
Set Mydimension = Selection1.Item(i).Value
MyDimensionValue = Mydimension.GetValue.Value
MsgBox MyDimensionValue, , "Real Value"
' *** above here works
' *** Get Fake Dimension Value
' *** Below here fails on obtaining value of fake dimension
'MyFakeDimensionValue = Mydimension.GetFakeDimValue
MyFakeDimensionValue = Mydimension.GetFakeDimValue.Value
MsgBox MyFakeDimensionValue, , "Fake Value"
Next
End Sub
===========================================================
V5 Automation file
